## org.apache.mahout.cf.taste.impl.recommender
Class GenericItemBasedRecommender.MostSimilarEstimator

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.GenericItemBasedRecommender.MostSimilarEstimator

All Implemented Interfaces:
  TopItems.Estimator<Long>

Enclosing class:
  GenericItemBasedRecommender

    public static class GenericItemBasedRecommender.MostSimilarEstimator

extends Object
implements TopItems.Estimator<Long>

Constructor Summary
`GenericItemBasedRecommender.MostSimilarEstimator(long toItemID, ItemSimilarity similarity, Rescorer<LongPair> rescorer)`

Method Summary
`double` `estimate(Long itemID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericItemBasedRecommender.MostSimilarEstimator

    public GenericItemBasedRecommender.MostSimilarEstimator(long toItemID,
                                                            ItemSimilarity similarity,
                                                            Rescorer<LongPair> rescorer)

Method Detail

### estimate

    public double estimate(Long itemID)
                    throws TasteException

  Specified by:
    `estimate` in interface `TopItems.Estimator<Long>`
  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.